[med-svn] [Git][med-team/mrtrix3][master] add autopkgtests

Achu Luma (@luma) gitlab at salsa.debian.org
Mon Oct 16 16:24:44 BST 2023



Achu Luma pushed to branch master at Debian Med / mrtrix3


Commits:
6e999a1b by Achu Luma at 2023-10-16T15:24:35+00:00
add autopkgtests
- - - - -


1 changed file:

- + debian/tests/run-unit-test


Changes:

=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+pkg=mrtrix3
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd "${AUTOPKGTEST_TMP}"
+
+cp -a /usr/share/doc/${pkg}/ .
+gunzip -r ./*
+
+
+echo "Running tests"
+./run_tests
+echo " success!"



View it on GitLab: https://salsa.debian.org/med-team/mrtrix3/-/commit/6e999a1b8fd8b56362fe4639cf00f1a0f6b06972

-- 
View it on GitLab: https://salsa.debian.org/med-team/mrtrix3/-/commit/6e999a1b8fd8b56362fe4639cf00f1a0f6b06972
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231016/9fa604ed/attachment-0001.htm>


More information about the debian-med-commit mailing list